<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Navbar Form</title>
    <link href="../static/style.css" rel="stylesheet" th:href="@{/style.css}"/>
</head>
<body>
<nav th:fragment="navbar" class="navbar navbar-expand-lg bg-secondary text-uppercase fixed-top" id="mainNav">
    <div class="container">
        <a class="navbar-brand" th:href="@{/}">Photo Contest</a>
        <button class="navbar-toggler text-uppercase font-weight-bold bg-primary text-white rounded" type="button"
                data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive"
                aria-expanded="false" aria-label="Toggle navigation">
            Menu
            <i class="fas fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav ms-auto">
                <!--                <li th:if="${isAuthenticated}" class="nav-item mx-0 mx-lg-1">-->
                <!--                    <a class="nav-link py-3 px-0 px-lg-3 rounded" href="#contests" th:href="@{/contests/new}">New Contests</a>-->
                <!--                </li>-->
                <li th:if="${isAuthenticated}" class="nav-item mx-0 mx-lg-1">
                    <a class="nav-link py-3 px-0 px-lg-3 rounded" href="#contests" th:href="@{/contests}">Contests</a>
                </li>
                <li th:if="${isAuthenticated}" class="nav-item mx-0 mx-lg-1">
                    <a class="nav-link py-3 px-0 px-lg-3 rounded" href="user.html"
                       th:href="@{/users/{id}(id=${authenticateID})}">Profile</a>
                </li>
                <!--                    <li class="btn-group" th:if="${isAuthenticated}">-->
                <!--                    <button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">-->
                <!--                        Profile-->
                <!--                    </button>-->
                <!--                    <div class="dropdown-menu">-->
                <!--                        <a class="dropdown-item" href="user.html"-->
                <!--                           th:href="@{/users/{id}(id=${authenticateID})}">Preview</a>-->
                <!--                        <a class="dropdown-item" href="user.html"-->
                <!--                           th:href="@{/users/{id}/update(id=${authenticateID})}">Preferences</a>-->
                <!--                    </div>-->
                <!--                    </li>-->
                <li th:unless="${isAuthenticated}" class="nav-item mx-0 mx-lg-1">
                    <a class="nav-link py-3 px-0 px-lg-3 rounded" th:href="@{/auth/login}">Login</a>
                </li>
                <li th:unless="${isAuthenticated}" class="nav-item mx-0 mx-lg-1">
                    <a class="nav-link py-3 px-0 px-lg-3 rounded" th:href="@{/auth/register}">Register</a>
                </li>
                <li th:if="${isAuthenticated}" class="nav-item mx-0 mx-lg-1">
                    <a class="nav-link py-3 px-0 px-lg-3 rounded" th:href="@{/auth/logout}" href="#">Logout</a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<!-- * *                               SB Forms JS                               * *-->
<!-- * * Activate your form at https://startbootstrap.com/solution/contact-forms * *-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<script th:src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"></script>
<script src="https://popper.js.org"></script>

</body>

</html>